Last Comment Bug 557084 - Remove deprecated attributes and empty <mrow/>'s in mozilla/src/layout/mathml/tests/
: Remove deprecated attributes and empty <mrow/>'s in mozilla/src/layout/mathml...
Status: RESOLVED FIXED
[good first bug]
:
Product: Core
Classification: Components
Component: MathML (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: mozilla7
Assigned To: Jonathan Hage
:
: Anthony Jones (:kentuckyfriedtakahe, :k17e)
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-04 05:15 PDT by Frédéric Wang (:fredw)
Modified: 2011-06-23 02:24 PDT (History)
4 users (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (14.83 KB, patch)
2011-06-18 09:06 PDT, Jonathan Hage
no flags Details | Diff | Splinter Review
Patch (14.91 KB, patch)
2011-06-20 02:12 PDT, Jonathan Hage
fred.wang: review+
Details | Diff | Splinter Review
Patch version 2 (15.38 KB, patch)
2011-06-21 01:51 PDT, Jonathan Hage
no flags Details | Diff | Splinter Review

Description Frédéric Wang (:fredw) 2010-04-04 05:15:41 PDT
Some test files in mozilla/src/layout/mathml/tests/ use attributes such that fontweight that are now deprecaded:
http://www.w3.org/TR/MathML3/chapter3.html#presm.deprecatt

Also, maxwell.xml contains some empty "<mrow></mrow>".
Comment 1 Matthew M Levitt 2010-05-17 23:11:10 PDT
I would like to work on this, as my first summer volunteer project, for Mozilla.  What are the steps/requirements for this opportunity?
Comment 2 Karl Tomlinson (:karlt) 2010-05-17 23:34:20 PDT
Thank you, Matthew.

This is about replacing the deprecated attributes with their preferred/newer notations.

The guides below are more oriented toward code changes but they give an idea of the process.  Even though you won't need to build the code for this bug, it will still be worthwhile obtaining the source from mercurial.

http://mdn.beonex.com/En/Developer_Guide/How_to_Submit_a_Patch
http://mdn.beonex.com/en/Creating_a_patch
Comment 3 Frédéric Wang (:fredw) 2010-05-18 00:51:34 PDT
For the "<mrow></mrow>" in maxwell.xml, they are used as argument of a <munderover/> element. In that case, you can replace <munderover/> by <mover/> or <munder/> element and so remove the empty <mrow/>.
See the spec to understand how these mover, munder & munderover work:
http://www.w3.org/TR/MathML3/chapter3.html#presm.scrlim

Inferred <mrow>'s such that
http://mxr.mozilla.org/mozilla-central/source/layout/mathml/tests/maxwell.xml#225
can also be removed:
http://www.w3.org/TR/MathML3/chapter3.html#presm.inferredmrow

For the deprecated attributes, they are listed in the page I give above, as well as what to use instead. If you have a UNIX-like system, moving in layout/mathml/tests/ and calling a command like "grep -n fontstyle *" would help you to figure out where the deprecated attributes are located.
Note that the new attributes are now allowed on any MathML element, so something like
http://mxr.mozilla.org/mozilla-central/source/layout/mathml/tests/maxwell.xml#64
can be simply rewritten
<mi mathvariant='bold'>B</mi>

If you have any further questions, don't hesitate to ask here.
Good luck for your summer volunteer project!
Comment 4 Jonathan Hage 2011-06-18 09:06:32 PDT
Created attachment 540248 [details] [diff] [review]
Patch
Comment 5 Frédéric Wang (:fredw) 2011-06-19 01:37:38 PDT
@karl: When this bug as well as bug 602828 are fixed, I wondering if we should just move all these non-automated tests online, as I don't think anyone uses them otherwise.
Comment 6 Karl Tomlinson (:karlt) 2011-06-19 20:10:20 PDT
Yes, moving them online sounds good.
Comment 7 Karl Tomlinson (:karlt) 2011-06-19 20:13:53 PDT
Comment on attachment 540248 [details] [diff] [review]
Patch

Are you able to look over this, please Frédéric?
Comment 8 Jonathan Hage 2011-06-20 02:12:12 PDT
Created attachment 540411 [details] [diff] [review]
Patch
Comment 9 Frédéric Wang (:fredw) 2011-06-20 05:02:41 PDT
Comment on attachment 540411 [details] [diff] [review]
Patch

Review of attachment 540411 [details] [diff] [review]:
-----------------------------------------------------------------

OK, that looks good, thanks. There are only too remaining deprecated attributes here:

fred@debian:~/mozilla/src/layout/mathml/tests$ grep -n fontstyle *
mixing.xml:99:  <mi fontstyle="italic">jif</mi>
mixing.xml:100:  <mi fontstyle="italic">jif</mi>

r=me with these changes.
Comment 10 Jonathan Hage 2011-06-21 01:51:55 PDT
Created attachment 540702 [details] [diff] [review]
Patch version 2
Comment 11 :Ehsan Akhgari 2011-06-22 11:36:49 PDT
Landed on inbound.
Comment 12 Mounir Lamouri (:mounir) 2011-06-23 02:24:58 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/5b5d90cdfccb

Note You need to log in before you can comment on or make changes to this bug.